Skip to main content
PATCH
/
v1
/
signatures
/
{signature_id}
/
emails
Set recipient rules (future-flag + smart-field conditions)
curl --request PATCH \
  --url https://api.scribe-mail.com/v1/signatures/{signature_id}/emails \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "assign_to_all_future_emails": true,
  "conditions": [
    [
      {
        "smart_field_id": "<string>",
        "values": [
          "<string>"
        ]
      }
    ]
  ]
}
'
import requests

url = "https://api.scribe-mail.com/v1/signatures/{signature_id}/emails"

payload = {
"assign_to_all_future_emails": True,
"conditions": [[
{
"smart_field_id": "<string>",
"values": ["<string>"]
}
]]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assign_to_all_future_emails: true,
conditions: [[{smart_field_id: '<string>', values: ['<string>']}]]
})
};

fetch('https://api.scribe-mail.com/v1/signatures/{signature_id}/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "assign_to_all_future_emails": true,
    "manual_email_ids": [
      "<string>"
    ],
    "integration_entity_ids": [
      "<string>"
    ],
    "conditions": [
      [
        {
          "smart_field_id": "<string>",
          "values": [
            "<string>"
          ]
        }
      ]
    ]
  }
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"allowed": [
"<unknown>"
],
"missing": [
"<string>"
]
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

signature_id
string
required

Body

application/json
assign_to_all_future_emails
boolean
conditions
object[][]

Response

Updated

data
object
required